# In case the folder "HornungOrdinalForests" is not contained in the
# current R working directory, use the following line and replace
# *directory that contains the folder 'HornungOrdinalForests'* by
# the path to the directory that contains the folder
# "HornungOrdinalForests":

# setwd("*directory that contains the folder 'HornungOrdinalForests'*")


# Retrieve the information provided with Table 1 from the real datasets:
########################################################################


# Dataset labels:

dat <- sort(c("mammography_dataset.Rda", "supportstudy_dataset.Rda", 
         "vlbw_dataset.Rda", "whinequality_dataset.Rda", "nhanes_dataset.Rda"))
dat



# Load each dataset and retrieve information of interest:

nclass <- c()

ns <- c()
ps <- c()

classfrequencies <- list()
classlabels <- list()

for(i in seq(along=dat)) {
  
  load(paste("./HornungOrdinalForests/RealDataApplications/data/", dat[i], sep=""))
  
  ns[i] <- nrow(dataset)
  ps[i] <- ncol(dataset) - 1
  
  classfrequencies[[i]] <- table(dataset$y)
  classlabels[[i]] <- names(classfrequencies[[i]])
  
  nclass[i] <- length(classlabels[[i]])
  
}


# Output information on each dataset on the shell:

dat

nclass

ns

ps

classlabels

classfrequencies
